%define oname libmad
%define major 0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Summary:	High-quality MPEG Audio Decoder
Name:		mad
Version:	0.15.1b
Release:	18
License:	GPLv2+
Group:		Sound
Url:		http://www.underbit.com/products/mad/
Source0:	http://prdownloads.sourceforge.net/mad/%{oname}-%{version}.tar.bz2
Source2:	mad.pc.bz2
Patch0:		libmad-no_-fforce-mem.diff

%description
MAD is a high-quality MPEG audio decoder. It currently supports MPEG-1
and the MPEG-2  extension to Lower Sampling Frequencies, as well as the
so-called MPEG 2.5 format. All three audio layers (Layer I, Layer II, 
and Layer III a.k.a. MP3) are fully implemented.

MAD does not yet support MPEG-2 multichannel audio (although it should 
be backward compatible with such streams) nor does it currently support AAC.

MAD has the following special features:
    * 24-bit PCM output
    * 100% fixed-point (integer) computation
    * completely new implementation based on the ISO/IEC standards

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	High-quality MPEG Audio Decoder
Group:		System/Libraries

%description -n %{libname}
MAD is a high-quality MPEG audio decoder. It currently supports MPEG-1
and the MPEG-2  extension to Lower Sampling Frequencies, as well as the
so-called MPEG 2.5 format. All three audio layers (Layer I, Layer II, 
and Layer III a.k.a. MP3) are fully implemented.

MAD does not yet support MPEG-2 multichannel audio (although it should
be backward compatible with such streams) nor does it currently support AAC.

MAD has the following special features:
    * 24-bit PCM output
    * 100% fixed-point (integer) computation
    * completely new implementation based on the ISO/IEC standards

%files -n %{libname}
%doc COPYING
%{_libdir}/libmad.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development tools for programs which will use the %{name} library
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Requires:	pkgconfig(zlib)
Provides:	%{name}-devel = %{EVRD}
Provides:	lib%{name}-devel = %{EVRD}

%description -n	%{devname}
This package includes the header files and static libraries
necessary for developing programs using the %{name} library.

If you are going to develop programs which will use the %{name} library
you should install this.

%files -n %{devname}
%doc COPY* README TODO CHANGES CREDITS
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*.h

#----------------------------------------------------------------------------

%prep
%setup -q -n %{oname}-%{version}
%patch0 -p0
rm -f configure
touch NEWS AUTHORS ChangeLog
autoreconf -fis

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

mkdir -p %{buildroot}%{_libdir}/pkgconfig
bzip2 -cd %{SOURCE2} | sed -e 's,/lib$,/%{_lib},' >%{buildroot}%{_libdir}/pkgconfig/mad.pc
perl -pi -e "s/0.14.2b/%{version}/" %{buildroot}%{_libdir}/pkgconfig/mad.pc


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.15.1b-18
+ Revision: 0139c1b
- MassBuild#440: Increase release tag


